module.exports = {
  extends: [
    '@commitlint/config-conventional',
  ],
  ignores: [
    (commit) => {
      const lines = commit.split('\n');
      const signingLines = lines.filter((line) => line.startsWith('Signed-off-by:'));
      const serviceAccountRegex = /service_account_((group|project)_\d+_)?([a-f0-9]+)(@noreply\.(dwp\.gitlab-dedicated|gitlab)\.com)/gi;
      const serviceAccountCommit = signingLines.some((line) => line.match(serviceAccountRegex));
      if (serviceAccountCommit) {
        return true;
      }

      const engBotRegex = /<engineering-bot@engineering\.digital\.dwp\.gov\.uk>/gi;
      return signingLines.some((line) => line.match(engBotRegex));
    },
  ],
  parserPreset: {
    parserOpts: {
      headerPattern: /^(\w*)(?:\((.*)\))?!?: ((?!\[skip ci\])(?!\[ci skip\]).)*$/,
    },
  },
};
